# Interface ICefResourceBundle

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefResourceBundle = interface(ICefBaseRefCounted)`

## Description

Interface used for retrieving resources from the resource bundle (*.pak) files loaded by CEF during startup or via the ICefResourceBundleHandler returned from ICefApp.GetResourceBundleHandler. See TCefSettings for additional options related to resource bundle loading. The functions of this interface may be called on any thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_capi.h">CEF source file: /include/capi/cef_resource_bundle_capi.h (cef_resource_bundle_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefResourceBundle

## Overview

### Methods

| `function GetLocalizedString(stringId: Integer): ustring;`
| `function GetDataResource(resourceId: Integer): ICefBinaryValue;`
| `function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;`

## Description

### Methods

| `function GetLocalizedString(stringId: Integer): ustring;`
Returns the localized string for the specified |string_id| or an NULL string if the value is not found. Use the cef_id_for_pack_string_name() function for version-safe mapping of string IDS names from cef_pack_strings.h to version-specific numerical |string_id| values. ###### Attributes GUID['{3213CF97-C854-452B-B615-39192F8D07DC}']

| `function GetDataResource(resourceId: Integer): ICefBinaryValue;`
Returns a cef_binary_value_t containing the decompressed contents of the specified scale independent |resource_id| or NULL if not found. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

| `function GetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor): ICefBinaryValue;`
Returns a cef_binary_value_t containing the decompressed contents of the specified |resource_id| nearest the scale factor |scale_factor| or NULL if not found. Use a |scale_factor| value of SCALE_FACTOR_NONE for scale independent resources or call GetDataResource instead. Use the cef_id_for_pack_resource_name() function for version-safe mapping of resource IDR names from cef_pack_resources.h to version-specific numerical |resource_id| values.

Generated by PasDoc 0.16.0-snapshot.